library Phi;

uses
{$IFDEF LINUX}
  Types,
{$ENDIF}
{$IFDEF MSWINDOWS}
  Windows,
{$ENDIF}
  SysUtils, Classes,
{$IFDEF VCL}
  Controls, Forms, Menus,
{$ELSE}
  QControls, QForms, QMenus,
{$ENDIF}
  PhiForm,
  Rubies,
  PhiMainUnit,
  uStrUtils, uDefUtils, PhiHandle,// uVariant,
  version,
  uDebug, uHandle, uIntern, uAlloc, uProp, uConv, uIndexer,
  uPhi, uError, uIO, uPropInfo, uTypeInfo, uMarshal, uFunc, uThread,
{$IFDEF VCL}
  uHeapStatus, uCreateParams,
{$ENDIF}
  uShiftState, uOwnerDrawState, uCopyMode,
  uFontCharset, uModalResult, uColor, uCursor,
//  uRecord,
  uPoint, uSize, uRect, uSizeConstraints, uDateTime,
{$IFDEF MSWINDOWS}
  uWin, uSys, uVirtualKeyCode, uSearchRec,
{$ENDIF}
  uStream, uStrings, uScreen, uClipboard, uPrinter,
  uIcon, uFont, uBrush, uPen,
  uDragObject, uCanvas, uBitmap, uControlScrollBar,
{$IFDEF VCL}
  uMetaFile,
{$ENDIF}
  uPicture, uApplication, uDataModule,
  uAnyComponent,
  uPersistent, uCollection, uComponent, uControl, uForm,
  uFrame,
  uMenuItem, uMenu,
  uLabel, uButton, uEdit, uMemo,
  uCheckBox, uRadioButton, uListBox,
  uComboBox, uScrollBar, uGroupBox, uRadioGroup, uPanel,
  uBitBtn, uSpeedButton, uMaskEdit, uGrid, uImage, uShape, uBevel,
  uScrollBox, uSplitter,
{$IFDEF VCL}
  uStaticText,
{$ENDIF}
  uPageControl, uTabSheet, uProgressBar,
{$IFDEF VCL}
  uRichEdit, uUpDown,
{$ENDIF}
  uTreeNode, uTreeView,
  uListItem, uListColumn, uListView,
  uStatusBar, uTimer, uPaintBox,
{$IFDEF VCL}
  uPageScroller,
{$ENDIF}
  uToolBar;

{$E so}
exports
  Init_phi;

{$I exports.inc}
{$I wrapexp.inc}

procedure Log(const Msg: string);
begin
  MessageBox(0, PChar(Msg), 'Attacher', Mb_IconInformation + Mb_OK);
end;

procedure AttachDetachProc(Reason: Integer);
begin
  case Reason of
  Dll_Process_Detach: Log('Detach Process');
  Dll_Thread_Attach:  Log('Attach Thread');
  Dll_Thread_Detach:  Log('Detach Thread');
  else                Log('Unknown reason!');
  end;
end;

begin
  IsMultiThread := True; // for web
//Log('Attach Process');
//DllProc := @AttachDetachProc;
end.
